---
search:
  tags:
    - Markets V2
    - PATCH
seo:
  description: >-
    Bulk-patches markets by id. Successful entities are… Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/markets endpoint in the Management API v2.
sidebar:
  label: Update markets
  badge: PATCH
title: Update markets
type: openapi-operation
---
Bulk-patches markets by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/markets`

**Request body** (`application/json`, required)

- `markets` (PatchMarketItem[], required)

Request body example:

```json
{
  "markets": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "locale": "string",
      "currency_code": "string",
      "active": true,
      "country_codes": [
        "string"
      ]
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "locale": "string",
      "currency_code": "string",
      "active": true,
      "country_codes": [
        "string"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "slug": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
